//========================================================================================
// ContigListPanel.java
// ---------------------------------------------------------------------------------------
//
//----------------------------------------------------------------------------------------
// $Id: //CBT-depot/CompBioTools++/includes/Mer.hh#1 $
//----------------------------------------------------------------------------------------
//
//========================================================================================
//.......1.........2.........3.........4.........5.........6.........7.........8.........9
//

import javax.swing.*;
import javax.swing.event.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;

//import XmFormLayout;
//import CBT;



//-----------------------------------------------------------------------------
// * ContigListPane
//-----------------------------------------------------------------------------
//
public class ContigListPane extends JPanel{

	 JList  mContigList;
	 Vector contigs;

	 public ContigListPane(Ace a){
		  contigs = new Vector();
		  // Set up a list of the contigs. 
		  int numContigs = a.size();
		  for(int i = 0;i< numContigs;i++){
				String cName = a.GetContigName(i);
				contigs.addElement(cName);
		  }
		  System.out.println("Contig list size: "+contigs.size());

		  mContigList = new JList(contigs);
		  mContigList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
		  mContigList.setSelectedIndex(numContigs-1);

		  JScrollPane contigScrollPane = new JScrollPane(mContigList);
	
		  setLayout(new BorderLayout());
		  add(contigScrollPane, BorderLayout.CENTER);
		  //Let the scroll pane know to update itself
		  //and its scrollbars.
		  revalidate();		  		  
	 }

	 public void addListSelectionListener(ListSelectionListener l){
		  mContigList.addListSelectionListener(l);
	 }

	 public Dimension getPreferredSize(){
		  Dimension minsize = new Dimension(100,200);
		  return(minsize);
		  //return(size);
	 }

	 public Dimension getMinimumSize(){
		  Dimension minsize = new Dimension(100,200);
		  return(minsize);
	 }

}


